This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 131535 - up2date crashes when specifying --arch
up2date crashes when specifying --arch
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 20:19 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:11:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of `up2date --arch=x86_64 -i -u` (1.84 KB, text/plain)
2004-09-01 20:23 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-09-01 20:19:28 EDT
Description of problem:
`up2date -i -u --arch=x86_64` causes up2date to crash (python
stacktrace is attached)

Version-Release number of selected component (if applicable):
4.3.29

How reproducible:
every time with current yum pointing at rawhide/development

Steps to Reproduce:
1. change up2date config to point at core/development/x86_64
2. run `up2date --arch=x86_64 -i -u`
3.
  
Actual results:
crash. output attached.

Expected results:
should fetch all updates only for the specified platform.

Additional info:
there are several related bugs here. fc3 test1 up2date is generally
wonky.
Comment 1 Need Real Name 2004-09-01 20:23:05 EDT
Created attachment 103380 [details]
output of `up2date --arch=x86_64 -i -u`
Comment 2 Matthew Miller 2006-07-10 18:21:39 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 10:11:19 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.